<?php
error_reporting(E_ERROR | E_WARNING | E_PARSE);
$dir = dirname(__FILE__);
require_once($dir."/config.php");
require_once($dir."/lang.inc.php");
if($_GET['secret'] == $cfg['secret']){
	if(!empty($_GET['name']) && !empty($_GET['id']) && !empty($_GET['serverip']) && !empty($_GET['serverport']) && !empty($_GET['rid'])){
		
		//Variables
		$name = $_GET['name'];
		$id = $_GET['id'];
		$sip = $_GET['serverip'];
		$sport = $_GET['serverport'];
		$rid = $_GET['rid'];
		
		//BBCode
		if($cfg['coloredmsg']){
			$st1 = "[COLOR=".$cfg['color1']."]";
			$st2 = "[COLOR=".$cfg['color2']."]";
			$et = "[/COLOR]";
		} else {
			$st1 = NULL;
			$st2 = NULL;
			$et = NULL;
		}
		
		//Reason
		switch($rid){
			case 1:
				$reason = $lng[$cfg['lng']]["msg_reason_swearing"];
				break;
			case 2:
				$reason = $lng[$cfg['lng']]["msg_reason_cheating_player"];
				break;
			case 3:
				$reason = $lng[$cfg['lng']]["msg_reason_camping_player"];
				break;
			case 4:
				$reason = $lng[$cfg['lng']]["msg_reason_teamkilling_player"];
				break;
			case 5:
				$reason = $lng[$cfg['lng']]["msg_reason_other"];
				break;
			default:
				die($lng[$cfg['lng']]["msg_invalid_parameter"]);
				break;
		}
		
		//Server
		$serveraddr = $sip.":".$sport;
		$servername = $servers[$sip][$sport];
		if(empty($servername))
			$servername = $lng[$cfg['lng']]["msg_unknown_server"]." (".$serveraddr.")";
		$connect = "[[url=steam://connect/".$serveraddr."]connect[/url]]";
		
		//Date
		$date = date("d.m.Y H:i:s");
		
		//Replacer-Variables
		$replace_to = array($st1, $st2, $et, $name, $id, $connect, $servername, $date, $reason);
		$replace_from = array("#st1#", "#st2#", "#et#", "#name#", "#id#", "#connect#", "#servername#", "#date#", "#reason#");

		require_once($dir."/libraries/TeamSpeak3/TeamSpeak3.php");
		$ts = new TeamSpeak3();
		$ts3_VirtualServer = TeamSpeak3::factory("serverquery://".$cfg['user'].":".$cfg['pass']."@".$cfg['host'].":".$cfg['queryport']."/?server_port=".$cfg['serverport']);
		$msg[1] = $st1."#############################################################$et";
		$msg[2] = str_replace($replace_from, $replace_to, $lng[$cfg['lng']]["msg_ts_txt1"]);
		$msg[3] = str_replace($replace_from, $replace_to, $lng[$cfg['lng']]["msg_ts_txt2"]);
		$msg[4] = str_replace($replace_from, $replace_to, $lng[$cfg['lng']]["msg_ts_txt3"]);
		$msg[5] = str_replace($replace_from, $replace_to, $lng[$cfg['lng']]["msg_ts_txt4"]);
		$msg[6] = $st1."#############################################################".$et;
		foreach($msg as $m){
			$ts3_VirtualServer->message($m);
		}
		die($lng[$cfg['lng']]["msg_sent"]);
	} else {
		die($lng[$cfg['lng']]["msg_missing_parameter"]);
	}
} else {
	die($lng[$cfg['lng']]["msg_wrong_secret"]);
}
?>