import es
import urllib
import popuplib
import langlib
import playerlib

info = es.AddonInfo()
info.name = 'TSAdmin by Freigeist'
info.version = '1.1.0'
info.url = 'http://addons.eventscripts.com/addons/view/tsadmin'
info.basename = 'tsadmin'
info.author = 'Freigeist'

###########
# Globals #
###########
lang = langlib.Strings(es.getAddonPath('tsadmin') + '/tsadmin.lng.ini')
secret = "93rzfoqenfh98qz3"
url = "http://DOMAIN.TLD/ts/"

#############
# Functions #
#############

def load():
	es.set('tsadmin_version', info.version)
	es.makepublic('tsadmin_version')
	if not es.exists('saycommand', '!tsadmin'):
		es.regsaycmd('!tsadmin', 'tsadmin/tsadmin')

def unload():
	es.unregsaycmd('!tsadmin')

def tsadmin():
	userid = es.getcmduserid()
	send_main_popup(userid)

def from_main_popup():
	userid = es.getcmduserid()
	popupchoice = es.getInt('_popup_choice')
	if popupchoice == 1:
		send_reason_popup(userid)
	else:
		if popupchoice != 2:
			send_main_popup(userid)

def from_reason_popup():
	userid = es.getcmduserid()
	popupchoice = es.getInt('_popup_choice')
	if popupchoice >= 1 and popupchoice <= 5:
		send_call(userid, popupchoice)
	else:
		if popupchoice != 10:
			send_reason_popup(userid)

def send_main_popup(userid):
	tokens = {}
	str_abuse = lang("abuse", tokens, playerlib.getPlayer(userid).get("lang"))
	str_really_call = lang("really_call", tokens, playerlib.getPlayer(userid).get("lang"))
	str_yes = lang("yes", tokens, playerlib.getPlayer(userid).get("lang"))
	str_no = lang("no", tokens, playerlib.getPlayer(userid).get("lang"))
	vars = (str_abuse,str_really_call,str_yes,str_no)
	popuplib.quicksend(0, userid, "TS Admin Call\n============\n%s\n%s\n\n============\n->1. %s\n->2. %s"%vars, 'tsadmin/from_main_popup')

def send_reason_popup(userid):
	tokens = {}
	str_reason = lang("reason", tokens, playerlib.getPlayer(userid).get("lang"))
	str_reason_swearing = lang("reason_swearing", tokens, playerlib.getPlayer(userid).get("lang"))
	str_reason_cheating_player = lang("reason_cheating_player", tokens, playerlib.getPlayer(userid).get("lang"))
	str_reason_camping_player = lang("reason_camping_player", tokens, playerlib.getPlayer(userid).get("lang"))
	str_reason_teamkilling_player = lang("reason_teamkilling_player", tokens, playerlib.getPlayer(userid).get("lang"))
	str_reason_other = lang("reason_other", tokens, playerlib.getPlayer(userid).get("lang"))
	str_cancel = lang("cancel", tokens, playerlib.getPlayer(userid).get("lang"))
	vars = (str_reason,str_reason_swearing,str_reason_cheating_player,str_reason_camping_player,str_reason_teamkilling_player,str_reason_other,str_cancel)
	popuplib.quicksend(0, userid, "TS Admin Call\n============\n%s\n============\n->1. %s\n->2. %s\n->3. %s\n->4. %s\n->5. %s\n\n->0. %s\n"%vars, 'tsadmin/from_reason_popup')

def send_call(userid, reasonid):
	reasonid = str(reasonid)
	steamid = urllib.quote(es.getplayersteamid(userid))
	name = urllib.quote(es.getplayername(userid))
	serverip = urllib.quote(str(es.server_var['ip']))
	serverport = urllib.quote(str(es.server_var['hostport']))
	mURL = "%sindex.php?secret=%s&name=%s&id=%s&serverip=%s&serverport=%s&rid=%s" % (url,secret,name,steamid,serverip,serverport,reasonid)
	f = urllib.urlopen(mURL)
	es.log(mURL)
	f.close()
	es.tell(userid, "#multi", "#greenEs wurde eine Nachricht auf den TS gesendet!")
	es.log("[TSAdmin] %s (%s) has called an Admin!"%(es.getplayername(userid),es.getplayersteamid(userid)))